Magick::DrawableFillRule Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFillRule:
[legend]
Collaboration diagram for Magick::DrawableFillRule:
[legend]

## Public Member Functions

| DrawableFillRule (const FillRule fillRule_)
| ~DrawableFillRule (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | fillRule (const FillRule fillRule_)
FillRule | fillRule (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 992 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableFillRule()

Magick::DrawableFillRule::DrawableFillRule | ( | const FillRule | fillRule_ | ) |

inline

Definition at line 995 of file Drawable.h.

## ~DrawableFillRule()

Magick::DrawableFillRule::~DrawableFillRule | ( | void |  | ) |

Definition at line 750 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableFillRule::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 758 of file Drawable.cpp.

## fillRule() [1/2]

void Magick::DrawableFillRule::fillRule | ( | const FillRule | fillRule_ | ) |

inline

Definition at line 1008 of file Drawable.h.

## fillRule() [2/2]

FillRule Magick::DrawableFillRule::fillRule | ( | void |  | ) | const

inline

Definition at line 1012 of file Drawable.h.

## operator()()

void Magick::DrawableFillRule::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 754 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp